ubuntu8.10或内核2.6.27以上编译drcom1.4.7出错的解决方法

回复
macblue
帖子: 22
注册时间: 2008-08-10 15:23
送出感谢: 0
接收感谢: 0

ubuntu8.10或内核2.6.27以上编译drcom1.4.7出错的解决方法

#1

帖子 macblue » 2008-10-24 21:31

很多学校使用的是drcom拨号,现在最新版是drcom1.4.7,前几天新装kubuntu8.10,结果出现make出错的情况。
在学校高人的指点下确定是使用了2.6.27内核的原因,好在drcom的作者及时发布了补丁:
http://sourceforge.net/tracker/index.ph ... tid=710572

下面说说打补丁的方法:

将patch文件复制到drcom1.4.7目录下的kmod文件夹下(其实放哪里都一样,我这样最后patch的命令就少输几个字母)
然后在终端:

cd 。。。/drcom-1.4.7/kmod

patch drcom.c patch.drcom
注意一下反馈的结果,如果没报什么error的话,那就patch成功了

然后就可以正常make了
zxh1234567
帖子: 17
注册时间: 2008-10-11 9:40
送出感谢: 0
接收感谢: 0

Re: ubuntu8.10或内核2.6.27以上编译drcom1.4.7出错的解决方法

#2

帖子 zxh1234567 » 2008-10-27 10:25

8.10直接这样安装?还是还要下载什么编译环境不?安装好能上网不?
ballakay
帖子: 157
注册时间: 2007-06-29 23:18
来自: 重庆大学机械学院
送出感谢: 0
接收感谢: 0

Re: ubuntu8.10或内核2.6.27以上编译drcom1.4.7出错的解决方法

#3

帖子 ballakay » 2008-10-28 0:18

求哪位大哥能把这个补丁上传一下!或者把他发到我的邮件:ibayern@hotmail.com里!我们学校访问国外网站爆慢,实在是打不开!先谢谢了!! :em06
ballakay
帖子: 157
注册时间: 2007-06-29 23:18
来自: 重庆大学机械学院
送出感谢: 0
接收感谢: 0

Re: ubuntu8.10或内核2.6.27以上编译drcom1.4.7出错的解决方法

#4

帖子 ballakay » 2008-10-28 10:29

算了!我自己找了个代理下下来了!上传给需要的人!
附件
patch.zip
(360 Bytes) 下载 132 次
头像
code9
帖子: 19
注册时间: 2008-03-05 19:00
送出感谢: 0
接收感谢: 0

Re: ubuntu8.10或内核2.6.27以上编译drcom1.4.7出错的解决方法

#5

帖子 code9 » 2008-10-30 17:34

太及时了 谢谢!!! :em09
brumegoo
帖子: 13
注册时间: 2008-10-15 23:27
送出感谢: 0
接收感谢: 0

Re: ubuntu8.10或内核2.6.27以上编译drcom1.4.7出错的解决方法

#6

帖子 brumegoo » 2008-11-01 0:30

老是打不了补丁文件,怎么的呢?今天中午打好啦一次,晚上帮别人装就打不起啦。真是奇怪~
lonsy
帖子: 10
注册时间: 2008-10-31 13:28
送出感谢: 0
接收感谢: 0

Re: ubuntu8.10或内核2.6.27以上编译drcom1.4.7出错的解决方法

#7

帖子 lonsy » 2008-11-01 12:15

呵呵,相当感谢中。。
回复

回到 “校园网拨号”